export function PermissionsTable({ entities, columns, onSelect, onAction, onChange, colorScheme, emptyState, }: {
    entities: any;
    columns: any;
    onSelect: any;
    onAction: any;
    onChange: any;
    colorScheme: any;
    emptyState?: null | undefined;
}): import("react/jsx-runtime").JSX.Element;
export namespace PermissionsTable {
    export { propTypes };
}
declare namespace propTypes {
    let entities: PropTypes.Requireable<(object | null | undefined)[]>;
    let columns: PropTypes.Requireable<(PropTypes.InferProps<{
        name: PropTypes.Validator<string>;
        hint: PropTypes.Requireable<string>;
    }> | null | undefined)[]>;
    let emptyState: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    let onSelect: PropTypes.Requireable<(...args: any[]) => any>;
    let onChange: PropTypes.Requireable<(...args: any[]) => any>;
    let onAction: PropTypes.Requireable<(...args: any[]) => any>;
    let colorScheme: PropTypes.Requireable<string>;
}
import PropTypes from "prop-types";
export {};
